#!/bin/bash
# $File: /usr/local/share/smtpauth2ba/bin/smtpauth2ban.sh $
# $Author: Marko Schulz <info@tuxnet24.de> $
# $Date: 2023-11-16 16:08:14 +0200 (Do, 16 Nov 2023) $
# $HeadURL: https://gitbucket.tuxnet24.de/git/tuxnet24/smtpauth2ban.git $
# $Description: Script to monitors smtp auth failure and blocks remote addresses with iptables. $
# *******************************************************

# Path to the installation directory
installdir="/usr/local/share/smtpauth2ban"

# Load the configuration for ddos2ban
source ${installdir}/etc/config.inc.sh

# Load the function library for ddos2ban
source ${installdir}/lib/function.inc.sh

# *******************************************************
# MAIN

# Clean iptables chain on exit
trap "fw_chain \"del\" \"${cfg[firewall_chain]}\"" EXIT

# Create cache directory if not exists
[ ! -d "${installdir}/cache" ] && mkdir -p ${installdir}/cache

# Clean temporary files
[ -d "${installdir}/cache" ] && rm -rf ${installdir}/cache/*

# Create logfile directory, if not exists
[ ! -d "$(dirname ${cfg[logfile]})" ] && mkdir -p $(dirname ${cfg[logfile]})

# Run script as a service
while true; do
        main && sleep $( datestr2seconds ${cfg[interrupt]} )
done

# vim: syntax=bash ts=2 sw=2 sts=2 sr noet
# EOF