# $File: /usr/local/share/smtpauth2ban/etc/config.inc.sh $
# $Author: Marko Schulz <info@tuxnet24.de> $
# $Date: 2023-11-16 16:08:14 +0200 (Do, 16 Nov 2023) $
# $HeadURL: https://gitbucket.tuxnet24.de/git/tuxnet24/smtpauth2ban.git $
# $Description: Main configuration of the smtpauth2ban script. $
# *******************************************************

# [GLOBAL CONFIGURATION]
#
# Configuration variables stored in assoc array 'cfg'
declare -A cfg

# Get the node hostname
cfg[hostname]=$(hostname)

# How many minutes should the logfiles go back?
cfg[minutes_before]=5

# Name of the journalctl service, that hold the failure smtp auth messages
cfg[service]="postfix@-.service"

# The journalctl priority
cfg[priority]="warning"

# The name of the firewall chain
cfg[firewall_chain]="FWCainSmtpAuth2ban"

# Path to the whitelist file. $cwd is the current working directory, where the
# script ddos2ban.sh is located.
cfg[whitelist]="${installdir}/etc/whitelist.txt"

# Path to the temporary file where new addresses will be stored (temporary).
cfg[newaddress]="${installdir}/cache/%s-newaddress.dat"

# Path to the banned file. In this file will be stored the banned ip addressen ad there
# created timestamp.
cfg[bannedfile]="${installdir}/cache/bannedfile.dat"

# The Banned period define, how log a banned ipaddress will be hold in the
# firewall rule.
cfg[banntime]="1h"

# How long should be the loop interrupt until the next run
cfg[interrupt]="1m"

# Run in detection mode (no banning, only logging)
cfg[detection]="true"

# Logfile for detection mode
cfg[logfile]="${installdir}/log/smtpauth2ban.log"

# vim: syntax=bash ts=2 sw=2 sts=2 sr noet
# EOF
